Rows
Update row
Update the extracted data of a single row.
PUT
/
v1
/
tables
/
{table_id}
/
rows
/
{row_id}
const updated = await client.tables.updateRow("tbl_abc123", "row_xyz789", {
price: 39.99,
description: "Updated product description",
});
console.log(updated.data.price); // 39.99
console.log(updated.is_edited); // true
updated = client.tables.update_row("tbl_abc123", "row_xyz789", {
"price": 39.99,
"description": "Updated product description",
})
print(updated["data"]["price"]) # 39.99
print(updated["is_edited"]) # True
curl -X PUT "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"data": {
"price": 39.99,
"description": "Updated product description"
}
}'
{
"id": "row_abc123",
"row_index": 0,
"data": {
"product_name": "iPhone 15 Pro",
"price": 39.99,
"description": "Updated product description"
},
"validation_status": null,
"validation_errors": null,
"enhancement_status": null,
"is_edited": true,
"created_at": "2025-03-10T14:30:00.000Z"
}
Path parameters
string
required
The unique identifier of the table.
string
required
The unique identifier of the row.
Request body
object
required
An object of column key-value pairs to update. Provided fields are merged with existing data; omitted fields are preserved.
Response
Returns the full updated row object (same shape as Get row).const updated = await client.tables.updateRow("tbl_abc123", "row_xyz789", {
price: 39.99,
description: "Updated product description",
});
console.log(updated.data.price); // 39.99
console.log(updated.is_edited); // true
updated = client.tables.update_row("tbl_abc123", "row_xyz789", {
"price": 39.99,
"description": "Updated product description",
})
print(updated["data"]["price"]) # 39.99
print(updated["is_edited"]) # True
curl -X PUT "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"data": {
"price": 39.99,
"description": "Updated product description"
}
}'
{
"id": "row_abc123",
"row_index": 0,
"data": {
"product_name": "iPhone 15 Pro",
"price": 39.99,
"description": "Updated product description"
},
"validation_status": null,
"validation_errors": null,
"enhancement_status": null,
"is_edited": true,
"created_at": "2025-03-10T14:30:00.000Z"
}
⌘I
const updated = await client.tables.updateRow("tbl_abc123", "row_xyz789", {
price: 39.99,
description: "Updated product description",
});
console.log(updated.data.price); // 39.99
console.log(updated.is_edited); // true
updated = client.tables.update_row("tbl_abc123", "row_xyz789", {
"price": 39.99,
"description": "Updated product description",
})
print(updated["data"]["price"]) # 39.99
print(updated["is_edited"]) # True
curl -X PUT "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"data": {
"price": 39.99,
"description": "Updated product description"
}
}'
{
"id": "row_abc123",
"row_index": 0,
"data": {
"product_name": "iPhone 15 Pro",
"price": 39.99,
"description": "Updated product description"
},
"validation_status": null,
"validation_errors": null,
"enhancement_status": null,
"is_edited": true,
"created_at": "2025-03-10T14:30:00.000Z"
}

